import './assets/main.css'

import { createApp } from 'vue'
import { createPinia } from 'pinia'
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import App from './App.vue'
import router from './router'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
import { ElMessage } from 'element-plus'
const app = createApp(App)
app.use(ElementPlus)
app.use(createPinia())
app.use(router)
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
    app.component(key, component)
}
 
app.config.globalProperties.$messageS = function msgError(content: any) {
    ElMessage({ message: content, type: 'success', })
};
app.config.globalProperties.$messageW = function msgError(content: any) {
    ElMessage({ message: content, type: 'warning', })
};
app.config.globalProperties.$messageI = function msgError(content: any) {
    ElMessage({ message: content, type: 'info', })
};
app.config.globalProperties.$messageE = function msgError(content: any) {
    ElMessage({ message: content, type: 'error', })
};
app.mount('#app')





