import { createRouter, createWebHistory } from 'vue-router'

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: '/login',
      name: 'login',
      component: () => import('../views/login.vue'),
    },
    // 主页
    {
      path: '/',
      redirect: '/index',
      component: () => import('../views/home.vue'),
      meta: {
        comp: 'Home'
      },
      children: [
        // 租户管理
        {
          path: '/index',
          component: () => import('../views/index.vue'),
          meta: {
            comp: 'index',
            name: '租户管理'
          }
        },
        {
          path: '/about',
          component: () => import('../views/about.vue'),
          meta: {
            comp: 'about',
            name: '产品'
          }
        },
        {
          path: '/order',
          component: () => import('../views/order.vue'),
          meta: {
            comp: 'order',
            name: '订单管理'
          }
        },
      ]
    }
  ],
})
// 全局路由导航
router.beforeEach((to, from, next) => {
  if (to.meta.name) {
    document.title = to.meta.name
  } else {
    document.title = '管理系统'
  }
  return next()
})
export default router
