import { GET, POST } from '@/utils/request';
/**
 * @title 登录
 * @param params account，password
 * @returns 
 */
export const userLogin = (params?: Object) => {
    return POST(
        {
            url: '/api/user/login',
            params
        }
    )
}
/**
 * @title 获取产品
 */
export const getProduct = async () => {
    return POST(
        {
            url: "/api/product/list",

        }
    )
}
/**
 * @title 新增产品
 */
export const createProduct = async (params: Object) => {
    return POST(
        {
            url: "/api/product/create",
            params
        }
    )
}
/**
 * @title 修改产品
 */
export const updateProduct = async (params: Object) => {
    return POST(
        {
            url: "/api/product/update",
            params
        }
    )
}

/**
 * @title 注册租户
 */
export const tenantRegister = async (params: Object)=>{
    return POST(
        {
            url: "/api/tenant/register",
            params
        }
    )
}
/**
 * @title 修改租户
 */
export const tenantUpdate = async (params: Object)=>{
    return POST(
        {
            url: "/api/tenant/update",
            params
        }
    )
}
/**
 * @title 租户列表
 */
export const tenantList = async (params: Object)=>{
    return POST(
        {
            url: "/api/tenant/page",
            params
        }
    )
}


/**
 * @title 系统开放 新增订单
 */
export const create_payorder = async (params: Object)=>{
    return POST(
        {
            url: "/open/api/create_payorder",
            params
        }
    )
}

/**
 * @title 订单列表
 */
export const orderList = async (params: Object)=>{
    return POST(
        {
            url: "/api/user/payorder/list",
            params
        }
    )
}